Bug 60803 - sort -m core dumps when feeded with an empty file
sort -m core dumps when feeded with an empty file
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: textutils (Show other bugs)
7.2
i386 Linux
high Severity high
: ---
: ---
Assigned To: wdovlrrw
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-06 17:24 EST by Linux Now
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-06 17:24:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Linux Now 2002-03-06 17:24:38 EST
Description of Problem:

When you use the -m switch to merge already sorted files, if one of them is empty
sort core dumps.

If you remove the switch then everything works.

Version-Release number of selected component (if applicable):

I'm using textutils-2.0.14-2 in a rh7.2 system fully updated.

How Reproducible:

sort -m empty_file1 empty_file2

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:

Segmentation Fault

Expected Results:


Additional Information:
	
witout -m works
Comment 1 Bernhard Rosenkraenzer 2002-03-07 09:48:57 EST
Fixed in the current version (2.0.21-0.7)

Note You need to log in before you can comment on or make changes to this bug.